# Index

Symbols | A | B | C | D | E | F | I | L | M | N | O | P | Q | R | S | T | U | V | X

## Symbols

- --accelerator=<accelerator type>
  - dsymutil command line option
- --add-dyldinfo
  - llvm-nm command line option
- --add-gnu-debuglink <debug-file>
  - llvm-objcopy command line option
- --add-inlinedinfo
  - llvm-nm command line option
- --add-section <section=file>
  - llvm-objcopy command line option
- --add-symbol <name>=[<section>:]<value>[,<flags>]
  - llvm-objcopy command line option
- --addrsig
  - llvm-readelf command line option
  - llvm-readobj command line option
- --adjust-vma <offset>
  - llvm-symbolizer command line option
- --adjust-vma=<offset>
  - llvm-objdump command line option
- --all
  - llvm-readelf command line option
  - llvm-readobj command line option
- --all, -a
  - llvm-strings command line option
- --allow-broken-links
  - llvm-objcopy command line option
  - llvm-strip command line option
- --allow-deprecated-dag-overlap
  - FileCheck command line option
- --allow-empty
  - FileCheck command line option
- --allow-unused-prefixes
  - FileCheck command line option
- --arch <arch>
  - dsymutil command line option
- --arch-name=<string>
  - llvm-objdump command line option
- --arch-specific, -A
  - llvm-readelf command line option
  - llvm-readobj command line option
- --arch=<arch1[,arch2,...]>
  - llvm-nm command line option
- --arch=<arch>
  - llvm-dwarfdump command line option
  - llvm-size command line option
- --arch=<architecture>
  - llvm-objdump command line option
- --archive-member-offsets
  - llvm-objdump command line option
- --basenames, -s
  - llvm-symbolizer command line option
- --binary-architecture <arch>, -B
  - llvm-objcopy command line option
- --binary=<string[,string,...]>
  - llvm-profgen command line option
- --bind
  - llvm-objdump command line option
- --build-id-link-dir <dir>
  - llvm-objcopy command line option
- --build-id-link-input <suffix>
  - llvm-objcopy command line option
- --build-id-link-output <suffix>
  - llvm-objcopy command line option
- --bytes=<length>, -n
  - llvm-strings command line option
- --cfg
  - llvm-objdump command line option
- --cg-profile
  - llvm-readelf command line option
  - llvm-readobj command line option
- --change-start <incr>, --adjust-start
  - llvm-objcopy command line option
- --check-prefix prefix
  - FileCheck command line option
- --check-prefixes prefix1,prefix2,...
  - FileCheck command line option
- --codeview
  - llvm-readobj command line option
- --codeview-ghash
  - llvm-readobj command line option
- --codeview-merged-types
  - llvm-readobj command line option
- --codeview-subsection-bytes
  - llvm-readobj command line option
- --coff-basereloc
  - llvm-readobj command line option
- --coff-debug-directory
  - llvm-readobj command line option
- --coff-directives
  - llvm-readobj command line option
- --coff-exports
  - llvm-readobj command line option
- --coff-imports
  - llvm-readobj command line option
- --coff-load-config
  - llvm-readobj command line option
- --coff-resources
  - llvm-readobj command line option
- --coff-tls-directory
  - llvm-readobj command line option
- --color
  - FileCheck command line option
  - llvm-dwarfdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
- --comment-prefixes prefix1,prefix2,...
  - FileCheck command line option
- --common
  - llvm-size command line option
- --compare
  - llvm-locstats command line option
- --compress-debug-sections [<style>]
  - llvm-objcopy command line option
- --config-prefix=NAME
  - lit command line option
- --data-in-code
  - llvm-objdump command line option
- --debug
  - lit command line option
- --debug-abbrev, --debug-addr, --debug-aranges, --debug-cu-index, --debug-frame[=<offset>], --debug-gnu-pubnames, --debug-gnu-pubtypes, --debug-info [=<offset>], --debug-line [=<offset>], --debug-line-str, --debug-loc [=<offset>], --debug-loclists [=<offset>], --debug-macro, --debug-names, --debug-pubnames, --debug-pubtypes, --debug-ranges, --debug-rnglists, --debug-str, --debug-str-offsets, --debug-tu-index, --debug-types [=<offset>], --eh-frame [=<offset>], --gdb-index, --apple-names, --apple-types, --apple-namespaces, --apple-objc
  - llvm-dwarfdump command line option
- --debug-syms, -a
  - llvm-nm command line option
- --debug-vars-indent=<width>
  - llvm-objdump command line option
- --debug-vars=<format>
  - llvm-objdump command line option
- --decompress-debug-sections
  - llvm-objcopy command line option
- --default-arch <arch>
  - llvm-symbolizer command line option
- --defined-only, -U
  - llvm-nm command line option
- --demangle, -C
  - llvm-nm command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-symbolizer command line option
- --dependent-libraries
  - llvm-readobj command line option
- --dia
  - llvm-symbolizer command line option
- --diff
  - llvm-dwarfdump command line option
- --dis-symname=<name>
  - llvm-objdump command line option
- --disable-deterministic-archives, -U
  - llvm-objcopy command line option
  - llvm-strip command line option
- --disable-excess-fp-precision
  - llc command line option
- --disassemble-symbols=<symbol1[,symbol2,...]>
  - llvm-objdump command line option
- --discard-all, -x
  - llvm-objcopy command line option
  - llvm-strip command line option
- --discard-locals, -X
  - llvm-objcopy command line option
  - llvm-strip command line option
- --draw-plot
  - llvm-locstats command line option
- --dsym-hint <path/to/file.dSYM>
  - llvm-symbolizer command line option
- --dsym=<string>
  - llvm-objdump command line option
- --dump-debug-map
  - dsymutil command line option
- --dump-input <value>
  - FileCheck command line option
- --dump-input-context <N>
  - FileCheck command line option
- --dump-input-filter <value>
  - FileCheck command line option
- --dump-object-to-disk=true
  - llvm-exegesis command line option
- --dump-section <section>=<file>
  - llvm-objcopy command line option
- --dwarf=<value>
  - llvm-objdump command line option
- --dwp <path>
  - llvm-symbolizer command line option
- --dyldinfo-only
  - llvm-nm command line option
- --dylib-id
  - llvm-objdump command line option
- --dylibs-used
  - llvm-objdump command line option
- --dyn-relocations
  - llvm-readelf command line option
  - llvm-readobj command line option
- --dyn-symbols, --dyn-syms
  - llvm-readelf command line option
- --dyn-symbols, --dyn-syms, --dt
  - llvm-readobj command line option
- --dynamic, -D
  - llvm-nm command line option
- --dynamic-table, --dynamic, -d
  - llvm-readelf command line option
  - llvm-readobj command line option
- --elf-hash-histogram, --histogram, -I
  - llvm-readelf command line option
  - llvm-readobj command line option
- --elf-linker-options
  - llvm-readelf command line option
  - llvm-readobj command line option
- --elf-output-style=<value>
  - llvm-readelf command line option
  - llvm-readobj command line option
- --elf-section-groups, --section-groups, -g
  - llvm-readelf command line option
  - llvm-readobj command line option
- --enable-deterministic-archives, -D
  - llvm-objcopy command line option
  - llvm-strip command line option
- --enable-no-infs-fp-math
  - llc command line option
- --enable-no-nans-fp-math
  - llc command line option
- --enable-no-signed-zeros-fp-math
  - llc command line option
- --enable-no-trapping-fp-math
  - llc command line option
- --enable-unsafe-fp-math
  - llc command line option
- --enable-var-scope
  - FileCheck command line option
- --expand-relocs
  - llvm-readelf command line option
  - llvm-readobj command line option
- --exports-trie
  - llvm-objdump command line option
- --extern-only, -g
  - llvm-nm command line option
- --extract-dwo
  - llvm-objcopy command line option
- --extract-main-partition
  - llvm-objcopy command line option
- --extract-partition <name>
  - llvm-objcopy command line option
- --fallback-debug-path <path>
  - llvm-symbolizer command line option
- --fault-map-section
  - llvm-objdump command line option
- --file-headers, -h
  - llvm-readelf command line option
  - llvm-readobj command line option
- --filter=REGEXP
  - lit command line option
- --flat, -f
  - dsymutil command line option
- --format=<format>
  - llvm-size command line option
- --format=<format>, -f
  - llvm-nm command line option
- --format=<type>
  - llvm-ar command line option
- --format=<value>, -s
  - llvm-cxxfilt command line option
- --format=[text|binary|extbinary|compbinary|gcc]
  - llvm-profgen command line option
- --frame-pointer
  - llc command line option
- --full-leading-addr
  - llvm-objdump command line option
- --functions [=<none|short|linkage>], -f
  - llvm-symbolizer command line option
- --gen-reproducer
  - dsymutil command line option
- --globalize-symbol <symbol>
  - llvm-objcopy command line option
- --globalize-symbols <filename>
  - llvm-objcopy command line option
- --gnu-hash-table
  - llvm-readelf command line option
  - llvm-readobj command line option
- --hash-symbols
  - llvm-readelf command line option
  - llvm-readobj command line option
- --hash-table
  - llvm-readelf command line option
  - llvm-readobj command line option
- --headers, -e
  - llvm-readelf command line option
  - llvm-readobj command line option
- --help
  - llvm-cov-gcov command line option
  - llvm-objdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
- --help, -h
  - dsymutil command line option
  - llvm-cxxfilt command line option
  - llvm-install-name-tool command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-size command line option
  - llvm-strings command line option
  - llvm-strip command line option
  - llvm-symbolizer command line option
- --help-list
  - llvm-cxxfilt command line option
  - llvm-dwarfdump command line option
  - llvm-nm command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-size command line option
  - llvm-strings command line option
- --hex-dump=<section[,section,...]>, -x
  - llvm-readelf command line option
  - llvm-readobj command line option
- --ignore-case
  - FileCheck command line option
- --ignore-debug-entry-values
  - llvm-locstats command line option
- --implicit-check-not check-pattern
  - FileCheck command line option
- --indirect-symbols
  - llvm-objdump command line option
- --info-plist
  - llvm-objdump command line option
- --inlining, --inlines, -i
  - llvm-symbolizer command line option
- --input-file filename
  - FileCheck command line option
- --input-target <format>, -I
  - llvm-objcopy command line option
- --just-symbol-name, -j
  - llvm-nm command line option
- --keep-file-symbols
  - llvm-objcopy command line option
  - llvm-strip command line option
- --keep-global-symbol <symbol>
  - llvm-objcopy command line option
- --keep-global-symbols <filename>
  - llvm-objcopy command line option
- --keep-section <section>
  - llvm-objcopy command line option
  - llvm-strip command line option
- --keep-symbol <symbol>, -K
  - llvm-objcopy command line option
  - llvm-strip command line option
- --keep-symbols <filename>
  - llvm-objcopy command line option
- --lazy-bind
  - llvm-objdump command line option
- --link-opt-hints
  - llvm-objdump command line option
- --load=<dso_path>
  - llc command line option
- --localize-hidden
  - llvm-objcopy command line option
- --localize-symbol <symbol>, -L
  - llvm-objcopy command line option
- --localize-symbols <filename>
  - llvm-objcopy command line option
- --lookup=<address>
  - llvm-dwarfdump command line option
- --macho-data-in-code
  - llvm-readobj command line option
- --macho-dsymtab
  - llvm-readobj command line option
- --macho-indirect-symbols
  - llvm-readobj command line option
- --macho-linker-options
  - llvm-readobj command line option
- --macho-segment
  - llvm-readobj command line option
- --macho-version-min
  - llvm-readobj command line option
- --match-full-lines
  - FileCheck command line option
- --mattr=<a1,+a2,-a3,...>
  - llvm-objdump command line option
- --max-failures N
  - lit command line option
- --max-tests=N
  - lit command line option
- --max-time=N
  - lit command line option
- --mcpu=<cpu-name>
  - llvm-objdump command line option
- --minimize, -z
  - dsymutil command line option
- --needed-libs
  - llvm-readelf command line option
  - llvm-readobj command line option
- --new-symbol-visibility <visibility>
  - llvm-objcopy command line option
- --no-demangle
  - llvm-nm command line option
  - llvm-symbolizer command line option
- --no-dyldinfo
  - llvm-nm command line option
- --no-inlines
  - llvm-symbolizer command line option
- --no-leading-addr
  - llvm-objdump command line option
- --no-leading-headers
  - llvm-objdump command line option
- --no-llvm-bc
  - llvm-nm command line option
- --no-odr
  - dsymutil command line option
- --no-output
  - dsymutil command line option
- --no-progress-bar
  - lit command line option
- --no-show-raw-insn
  - llvm-objdump command line option
- --no-sort, -p
  - llvm-nm command line option
- --no-strip-all
  - llvm-strip command line option
- --no-strip-underscore, -n
  - llvm-cxxfilt command line option
- --no-swiftmodule-timestamp
  - dsymutil command line option
- --no-symbolic-operands
  - llvm-objdump command line option
- --no-weak, -W
  - llvm-nm command line option
- --non-verbose
  - llvm-objdump command line option
- --notes, -n
  - llvm-readelf command line option
  - llvm-readobj command line option
- --num-shards=M
  - lit command line option
- --num-threads <threads>, -j <threads>
  - dsymutil command line option
- --numeric-sort, -n, -v
  - llvm-nm command line option
- --obj <path>, --exe, -e
  - llvm-symbolizer command line option
- --objc-meta-data
  - llvm-objdump command line option
- --object-prefix-map <prefix=remapped>
  - dsymutil command line option
- --only-formal-parameters
  - llvm-locstats command line option
- --only-keep-debug
  - llvm-objcopy command line option
  - llvm-strip command line option
- --only-section <section>, -j
  - llvm-objcopy command line option
- --only-variables
  - llvm-locstats command line option
- --oso-prepend-path <path>
  - dsymutil command line option
- --out <filename>, -o <filename>
  - dsymutil command line option
- --output-style <LLVM|GNU>
  - llvm-symbolizer command line option
- --output-target <format>, -O
  - llvm-objcopy command line option
- --output=<string>
  - llvm-profgen command line option
- --papertrail
  - dsymutil command line option
- --parent-recurse-depth=<N>
  - llvm-dwarfdump command line option
- --path=PATH
  - lit command line option
- --perfscript=<string[,string,...]>
  - llvm-profgen command line option
- --portability, -P
  - llvm-nm command line option
- --prefix-alloc-sections <prefix>
  - llvm-objcopy command line option
- --prefix-symbols <prefix>
  - llvm-objcopy command line option
- --prefix=<prefix>
  - llvm-objdump command line option
- --preserve-dates, -p
  - llvm-objcopy command line option
  - llvm-strip command line option
- --pretty-print, -p
  - llvm-symbolizer command line option
- --print-address, --addresses, -a
  - llvm-symbolizer command line option
- --print-after-isel
  - llc command line option
- --print-armap, -M
  - llvm-nm command line option
- --print-file-name, -A, -o
  - llvm-nm command line option
- --print-file-name, -f
  - llvm-strings command line option
- --print-imm-hex
  - llvm-objdump command line option
- --print-size, -S
  - llvm-nm command line option
- --print-source-context-lines <N>
  - llvm-symbolizer command line option
- --private-header
  - llvm-objdump command line option
- --program-headers, --segments, -l
  - llvm-readelf command line option
  - llvm-readobj command line option
- --quiet
  - llvm-dwarfdump command line option
- --radix=<RADIX>, -t
  - llvm-nm command line option
- --radix=<radix>, -t
  - llvm-strings command line option
- --radix=<value>
  - llvm-size command line option
- --raw-clang-ast
  - llvm-objdump command line option
- --raw-relr
  - llvm-readelf command line option
  - llvm-readobj command line option
- --rebase
  - llvm-objdump command line option
- --redefine-sym <old>=<new>
  - llvm-objcopy command line option
- --redefine-syms <filename>
  - llvm-objcopy command line option
- --regalloc=<allocator>
  - llc command line option
- --regex
  - llvm-objcopy command line option
  - llvm-strip command line option
- --relativenames
  - llvm-symbolizer command line option
- --relocations, --relocs, -r
  - llvm-readelf command line option
  - llvm-readobj command line option
- --remarks-output-format <format>
  - dsymutil command line option
- --remarks-prepend-path <path>
  - dsymutil command line option
- --remove-section <section>, -R
  - llvm-objcopy command line option
  - llvm-strip command line option
- --rename-section <old>=<new>[,<flag>,...]
  - llvm-objcopy command line option
- --reverse-sort, -r
  - llvm-nm command line option
- --run-shard=N
  - lit command line option
- --section-data
  - llvm-readelf command line option
- --section-data, --sd
  - llvm-readobj command line option
- --section-details, -t
  - llvm-readelf command line option
- --section-mapping
  - llvm-readelf command line option
  - llvm-readobj command line option
- --section-relocations
  - llvm-readelf command line option
- --section-relocations, --sr
  - llvm-readobj command line option
- --section-symbols
  - llvm-readelf command line option
- --section-symbols, --st
  - llvm-readobj command line option
- --sections, --section-headers, -S
  - llvm-readelf command line option
- --sections, --section-headers, -s, -S
  - llvm-readobj command line option
- --set-section-alignment <section>=<align>
  - llvm-objcopy command line option
- --set-section-flags <section>=<flag>[,<flag>,...]
  - llvm-objcopy command line option
- --set-start-addr <addr>
  - llvm-objcopy command line option
- --show-disassembly
  - llvm-profgen command line option
- --show-lma
  - llvm-objdump command line option
- --show-mmap-events
  - llvm-profgen command line option
- --show-section-sizes
  - llvm-dwarfdump command line option
- --show-suites
  - lit command line option
- --show-tests
  - lit command line option
- --show-unsupported
  - lit command line option
- --show-xfail
  - lit command line option
- --shuffle
  - lit command line option
- --size-sort
  - llvm-nm command line option
- --special-syms
  - llvm-nm command line option
- --spiller=<spiller>
  - llc command line option
- --split-dwo <dwo-file>
  - llvm-objcopy command line option
- --stack-sizes
  - llvm-readelf command line option
  - llvm-readobj command line option
- --stackmap
  - llvm-readelf command line option
  - llvm-readobj command line option
- --start-address=<address>
  - llvm-objdump command line option
- --statistics
  - dsymutil command line option
  - llvm-dwarfdump command line option
- --stats
  - llc command line option
- --stop-address=<address>
  - llvm-objdump command line option
- --strict-whitespace
  - FileCheck command line option
- --string-dump=<section[,section,...]>, -p
  - llvm-readelf command line option
  - llvm-readobj command line option
- --strip-all, -S
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-all-gnu
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-debug, -g
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-dwo
  - llvm-objcopy command line option
- --strip-non-alloc
  - llvm-objcopy command line option
- --strip-sections
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-symbol <symbol>, -N
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-symbols <filename>
  - llvm-objcopy command line option
- --strip-underscore, -_
  - llvm-cxxfilt command line option
- --strip-unneeded
  - llvm-objcopy command line option
  - llvm-strip command line option
- --strip-unneeded-symbol <symbol>
  - llvm-objcopy command line option
- --strip-unneeded-symbols <filename>
  - llvm-objcopy command line option
- --summarize-types
  - llvm-dwarfdump command line option
- --symbol-description
  - llvm-objdump command line option
- --symbol-map <bcsymbolmap>
  - dsymutil command line option
- --symbolize-operands
  - llvm-objdump command line option
- --symbols, --syms, -s
  - llvm-readelf command line option
- --symbols, --syms, -t
  - llvm-readobj command line option
- --target <format>, -F
  - llvm-objcopy command line option
- --time-passes
  - llc command line option
- --time-tests
  - lit command line option
- --timeout=N
  - lit command line option
- --toolchain <toolchain>
  - dsymutil command line option
- --totals, -t
  - llvm-size command line option
- --triple=<string>
  - llvm-objdump command line option
- --types, -t
  - llvm-cxxfilt command line option
- --undefined-only, -u
  - llvm-nm command line option
- --universal-headers
  - llvm-objdump command line option
- --unwind, -u
  - llvm-readelf command line option
  - llvm-readobj command line option
- --use-reproducer <path>
  - dsymutil command line option
- --use-symbol-table
  - llvm-symbolizer command line option
- --verbose
  - dsymutil command line option
  - llvm-symbolizer command line option
- --verify
  - dsymutil command line option
  - llvm-dwarfdump command line option
- --version
  - llvm-ar command line option
  - llvm-cxxfilt command line option
  - llvm-dwarfdump command line option
  - llvm-nm command line option
  - llvm-objdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-size command line option
  - llvm-strings command line option
- --version, -V
  - llvm-install-name-tool command line option
  - llvm-objcopy command line option
  - llvm-strip command line option
- --version, -v
  - llvm-symbolizer command line option
- --version-info, -V
  - llvm-readelf command line option
  - llvm-readobj command line option
- --vg
  - lit command line option
- --vg-arg=ARG
  - lit command line option
- --vg-leak
  - lit command line option
- --weak-bind
  - llvm-objdump command line option
- --weaken
  - llvm-objcopy command line option
- --weaken-symbol <symbol>, -W
  - llvm-objcopy command line option
- --weaken-symbols <filename>
  - llvm-objcopy command line option
- --wildcard, -w
  - llvm-objcopy command line option
  - llvm-strip command line option
- --without-aliases
  - llvm-nm command line option
- --x86-asm-syntax=<style>
  - llvm-objdump command line option
- --x86-asm-syntax=[att|intel]
  - llc command line option
  - llvm-profgen command line option
- -A
  - llvm-size command line option
- -a, --all
  - llvm-dwarfdump command line option
- -a, --all-blocks
  - llvm-cov-gcov command line option
- -a, --archive-headers
  - llvm-objdump command line option
- -a, --show-all
  - lit command line option
- -add_rpath <rpath>
  - llvm-install-name-tool command line option
- -all
  - llvm-pdbutil-dump command line option
  - llvm-pdbutil-pretty command line option
- -all-functions
  - llvm-profdata-show command line option
- -all-stats
  - llvm-mca command line option
- -all-views
  - llvm-mca command line option
- -analysis-clustering-epsilon=<dbscan epsilon parameter>
  - llvm-exegesis command line option
- -analysis-clustering=[dbscan,naive]
  - llvm-exegesis command line option
- -analysis-clusters-output-file=</path/to/file>
  - llvm-exegesis command line option
- -analysis-display-unstable-clusters
  - llvm-exegesis command line option
- -analysis-inconsistencies-output-file=</path/to/file>
  - llvm-exegesis command line option
- -analysis-inconsistency-epsilon=<epsilon>
  - llvm-exegesis command line option
- -analysis-numpoints=<dbscan numPoints parameter>
  - llvm-exegesis command line option
- -arch=<name>
  - llvm-cov-export command line option
  - llvm-cov-report command line option
- -arch=[*NAMES*]
  - llvm-cov-show command line option
- -arch_only <architecture>
  - llvm-libtool-darwin command line option
- -archs
  - llvm-lipo command line option
- -asmformat-error-is-fatal
  - tblgen command line option
- -asmparsernum=n
  - tblgen command line option
- -asmwriternum=n
  - tblgen command line option
- -B
  - llvm-nm command line option
  - llvm-size command line option
- -b, --branch-probabilities
  - llvm-cov-gcov command line option
- -benchmarks-file=</path/to/file>
  - llvm-exegesis command line option
- -binary (default)
  - llvm-profdata-merge command line option
- -block-range=<start[-end]>
  - llvm-pdbutil-bytes command line option
- -bottleneck-analysis
  - llvm-mca command line option
- -byte-range=<start[-end]>
  - llvm-pdbutil-bytes command line option
- -c, --branch-counts
  - llvm-cov-gcov command line option
- -C, --demangle
  - llvm-objdump command line option
- -c, --show-children
  - llvm-dwarfdump command line option
- -change <old_install_name> <new_install_name>
  - llvm-install-name-tool command line option
- -chunks
  - llvm-pdbutil-bytes command line option
- -clang-component component
  - tblgen command line option
- -class-definitions=<format>
  - llvm-pdbutil-pretty command line option
- -class-order
  - llvm-pdbutil-pretty command line option
- -class-recurse-depth=<uint>
  - llvm-pdbutil-pretty command line option
- -class=classname
  - tblgen command line option
- -classes
  - llvm-pdbutil-pretty command line option
- -code-model=model
  - lli command line option
- -color
  - llvm-libtool-darwin command line option
- -color-output
  - llvm-pdbutil-pretty command line option
- -combiners=list
  - tblgen command line option
- -compilands
  - llvm-pdbutil-pretty command line option
- -compress-all-sections=[true|false]
  - llvm-profdata-merge command line option
- -counts
  - llvm-profdata-show command line option
- -create
  - llvm-lipo command line option
- -cs
  - llvm-profdata-overlap command line option
- -D
  - llvm-libtool-darwin command line option
- -d
  - llvm-link command line option
  - llvm-size command line option
- -D NAME[=VALUE], --param NAME[=VALUE]
  - lit command line option
- -D#<FMT>,<NUMVAR>=<NUMERIC EXPRESSION>
  - FileCheck command line option
- -d, --disassemble
  - llvm-objdump command line option
- -D, --disassemble-all
  - llvm-objdump command line option
- -D<VAR=VALUE>
  - FileCheck command line option
- -d=filename
  - tblgen command line option
- -D=macroname
  - tblgen command line option
- -debug
  - opt command line option
  - tblgen command line option
- -delete_all_rpaths
  - llvm-install-name-tool command line option
- -delete_rpath <rpath>
  - llvm-install-name-tool command line option
- -dependents
  - llvm-pdbutil-dump command line option
- -dialect
  - tblgen command line option
- -dialect-opclass-base
  - tblgen command line option
- -disable-excess-fp-precision
  - lli command line option
- -disable-inlining
  - opt command line option
- -disable-opt
  - opt command line option
- -disable-post-RA-scheduler
  - lli command line option
- -disable-spill-fusing
  - lli command line option
- -dispatch-stats
  - llvm-mca command line option
- -dispatch=<width>
  - llvm-mca command line option
- -dump
  - llvm-bcanalyzer command line option
- -dump-json
  - tblgen command line option
- -ec
  - llvm-pdbutil-bytes command line option
- -enable-no-infs-fp-math
  - lli command line option
- -enable-no-nans-fp-math
  - lli command line option
- -enable-unsafe-fp-math
  - lli command line option
- -enums
  - llvm-pdbutil-pretty command line option
- -exclude-compilands=<string>
  - llvm-pdbutil-pretty command line option
- -exclude-symbols=<string>
  - llvm-pdbutil-pretty command line option

- -exclude-types=<string>
  - llvm-pdbutil-pretty command line option
- -extbinary
  - llvm-profdata-merge command line option
- -externals
  - llvm-pdbutil-pretty command line option
- -f
  - llvm-link command line option
  - opt command line option
- -f <name>, --find=<name>
  - llvm-dwarfdump command line option
- -f, --file-headers
  - llvm-objdump command line option
- -f, --function-summaries
  - llvm-cov-gcov command line option
- -F, --show-form
  - llvm-dwarfdump command line option
- -failure-mode=[any|all]
  - llvm-profdata-merge command line option
- -fake-argv0=executable
  - lli command line option
- -filelist <listfile[,dirname]>
  - llvm-libtool-darwin command line option
- -files
  - llvm-pdbutil-bytes command line option
  - llvm-pdbutil-dump command line option
- -filetype=<output file type>
  - llc command line option
- -force-interpreter={false,true}
  - lli command line option
- -format=<FORMAT>
  - llvm-cov-export command line option
  - llvm-cov-show command line option
- -fpm
  - llvm-pdbutil-bytes command line option
- -function=string
  - llvm-profdata-overlap command line option
  - llvm-profdata-show command line option
- -g
  - llvm-objdump command line option
- -gcc
  - llvm-profdata-merge command line option
- -gen-arm-bf16
  - tblgen command line option
- -gen-arm-cde-builtin-aliases
  - tblgen command line option
- -gen-arm-cde-builtin-codegen
  - tblgen command line option
- -gen-arm-cde-builtin-def
  - tblgen command line option
- -gen-arm-cde-builtin-sema
  - tblgen command line option
- -gen-arm-cde-header
  - tblgen command line option
- -gen-arm-fp16
  - tblgen command line option
- -gen-arm-mve-builtin-aliases
  - tblgen command line option
- -gen-arm-mve-builtin-codegen
  - tblgen command line option
- -gen-arm-mve-builtin-def
  - tblgen command line option
- -gen-arm-mve-builtin-sema
  - tblgen command line option
- -gen-arm-mve-header
  - tblgen command line option
- -gen-arm-neon
  - tblgen command line option
- -gen-arm-neon-sema
  - tblgen command line option
- -gen-arm-neon-test
  - tblgen command line option
- -gen-arm-sve-builtin-codegen
  - tblgen command line option
- -gen-arm-sve-builtins
  - tblgen command line option
- -gen-arm-sve-header
  - tblgen command line option
- -gen-arm-sve-sema-rangechecks
  - tblgen command line option
- -gen-arm-sve-typeflags
  - tblgen command line option
- -gen-asm-matcher
  - tblgen command line option
- -gen-asm-parser
  - tblgen command line option
- -gen-asm-writer
  - tblgen command line option
- -gen-attr-docs
  - tblgen command line option
- -gen-attrs
  - tblgen command line option
- -gen-automata
  - tblgen command line option
- -gen-avail-interface-decls
  - tblgen command line option
- -gen-avail-interface-defs
  - tblgen command line option
- -gen-callingconv
  - tblgen command line option
- -gen-clang-attr-ast-visitor
  - tblgen command line option
- -gen-clang-attr-classes
  - tblgen command line option
- -gen-clang-attr-has-attribute-impl
  - tblgen command line option
- -gen-clang-attr-impl
  - tblgen command line option
- -gen-clang-attr-list"
  - tblgen command line option
- -gen-clang-attr-node-traverse
  - tblgen command line option
- -gen-clang-attr-parsed-attr-impl
  - tblgen command line option
- -gen-clang-attr-parsed-attr-kinds
  - tblgen command line option
- -gen-clang-attr-parsed-attr-list
  - tblgen command line option
- -gen-clang-attr-parser-string-switches
  - tblgen command line option
- -gen-clang-attr-pch-read
  - tblgen command line option
- -gen-clang-attr-pch-write
  - tblgen command line option
- -gen-clang-attr-spelling-index
  - tblgen command line option
- -gen-clang-attr-subject-match-rule-list
  - tblgen command line option
- -gen-clang-attr-subject-match-rules-parser-string-switches
  - tblgen command line option
- -gen-clang-attr-template-instantiate
  - tblgen command line option
- -gen-clang-attr-text-node-dump
  - tblgen command line option
- -gen-clang-basic-reader
  - tblgen command line option
- -gen-clang-basic-writer
  - tblgen command line option
- -gen-clang-comment-command-info
  - tblgen command line option
- -gen-clang-comment-command-list
  - tblgen command line option
- -gen-clang-comment-html-named-character-references
  - tblgen command line option
- -gen-clang-comment-html-tags
  - tblgen command line option
- -gen-clang-comment-html-tags-properties
  - tblgen command line option
- -gen-clang-comment-nodes
  - tblgen command line option
- -gen-clang-data-collectors
  - tblgen command line option
- -gen-clang-decl-nodes
  - tblgen command line option
- -gen-clang-diag-groups
  - tblgen command line option
- -gen-clang-diags-defs
  - tblgen command line option
- -gen-clang-diags-index-name
  - tblgen command line option
- -gen-clang-opcodes
  - tblgen command line option
- -gen-clang-opencl-builtins
  - tblgen command line option
- -gen-clang-sa-checkers
  - tblgen command line option
- -gen-clang-stmt-nodes
  - tblgen command line option
- -gen-clang-test-pragma-attribute-supported-attributes
  - tblgen command line option
- -gen-clang-type-nodes
  - tblgen command line option
- -gen-clang-type-reader
  - tblgen command line option
- -gen-clang-type-writer
  - tblgen command line option
- -gen-compress-inst-emitter
  - tblgen command line option
- -gen-ctags
  - tblgen command line option
- -gen-dag-isel
  - tblgen command line option
- -gen-dfa-packetizer
  - tblgen command line option
- -gen-diag-docs
  - tblgen command line option
- -gen-dialect-doc
  - tblgen command line option
- -gen-directive-decl
  - tblgen command line option, [1]
- -gen-directive-gen
  - tblgen command line option
- -gen-directive-impl
  - tblgen command line option
- -gen-disassembler
  - tblgen command line option
- -gen-emitter
  - tblgen command line option
- -gen-enum-decls
  - tblgen command line option
- -gen-enum-defs
  - tblgen command line option
- -gen-enum-from-llvmir-conversions
  - tblgen command line option
- -gen-enum-to-llvmir-conversions
  - tblgen command line option
- -gen-exegesis
  - tblgen command line option
- -gen-fast-isel
  - tblgen command line option
- -gen-global-isel
  - tblgen command line option
- -gen-global-isel-combiner
  - tblgen command line option
- -gen-instr-docs
  - tblgen command line option
- -gen-instr-info
  - tblgen command line option
- -gen-intrinsic-enums
  - tblgen command line option
- -gen-intrinsic-impl
  - tblgen command line option
- -gen-llvmir-conversions
  - tblgen command line option
- -gen-llvmir-intrinsics
  - tblgen command line option
- -gen-op-decls
  - tblgen command line option
- -gen-op-defs
  - tblgen command line option
- -gen-op-doc
  - tblgen command line option
- -gen-opt-docs
  - tblgen command line option
- -gen-opt-parser-defs
  - tblgen command line option
- -gen-opt-rst
  - tblgen command line option
- -gen-partial-profile=[true|false]
  - llvm-profdata-merge command line option
- -gen-pass-decls
  - tblgen command line option
- -gen-pass-doc
  - tblgen command line option
- -gen-pseudo-lowering
  - tblgen command line option
- -gen-register-bank
  - tblgen command line option
- -gen-register-info
  - tblgen command line option
- -gen-rewriters
  - tblgen command line option
- -gen-searchable-tables
  - tblgen command line option
- -gen-spirv-avail-impls
  - tblgen command line option
- -gen-spirv-capability-implication
  - tblgen command line option
- -gen-spirv-enum-avail-decls
  - tblgen command line option
- -gen-spirv-enum-avail-defs
  - tblgen command line option
- -gen-spirv-op-utils
  - tblgen command line option
- -gen-spirv-serialization
  - tblgen command line option
- -gen-struct-attr-decls
  - tblgen command line option
- -gen-struct-attr-defs
  - tblgen command line option
- -gen-subtarget
  - tblgen command line option
- -gen-typedef-decls
  - tblgen command line option
- -gen-typedef-defs
  - tblgen command line option
- -gen-x86-EVEX2VEX-tables
  - tblgen command line option
- -gen-x86-fold-tables
  - tblgen command line option
- -gicombiner-show-expansions
  - tblgen command line option
- -gicombiner-stop-after-build
  - tblgen command line option
- -gicombiner-stop-after-parse
  - tblgen command line option
- -gisel-coverage-file=filename
  - tblgen command line option
- -global-extras
  - llvm-pdbutil-dump command line option
- -globals
  - llvm-pdbutil-dump command line option
  - llvm-pdbutil-pretty command line option
- -h, --headers, --section-headers
  - llvm-objdump command line option
- -h, --help
  - lit command line option
  - llvm-ar command line option
  - llvm-dwarfdump command line option
- -h, -help
  - llvm-libtool-darwin command line option
- -help
  - FileCheck command line option
  - llc command line option
  - lli command line option
  - llvm-bcanalyzer command line option
  - llvm-exegesis command line option
  - llvm-link command line option
  - llvm-mca command line option
  - llvm-profdata-merge command line option
  - llvm-profdata-overlap command line option
  - llvm-profdata-show command line option
  - opt command line option
  - tblgen command line option
- -help, -h
  - llvm-lipo command line option
- -help-list
  - llvm-libtool-darwin command line option
  - tblgen command line option
- -I directory
  - tblgen command line option
- -i, --ignore-case
  - llvm-dwarfdump command line option
- -id <name>
  - llvm-install-name-tool command line option
- -id-data
  - llvm-pdbutil-dump command line option
- -id-extras
  - llvm-pdbutil-dump command line option
- -id-index=<uint>
  - llvm-pdbutil-dump command line option
- -id=<uint>
  - llvm-pdbutil-bytes command line option
- -ids
  - llvm-pdbutil-dump command line option
- -ignore-filename-regex=<PATTERN>
  - llvm-cov-export command line option
  - llvm-cov-report command line option
  - llvm-cov-show command line option
- -ignore-invalid-sched-class=false
  - llvm-exegesis command line option
- -il
  - llvm-pdbutil-dump command line option
- -include-compilands=<string>
  - llvm-pdbutil-pretty command line option
- -include-symbols=<string>
  - llvm-pdbutil-pretty command line option
- -include-types=<string>
  - llvm-pdbutil-pretty command line option
- -info
  - llvm-lipo command line option
- -input-files=path, -f=path
  - llvm-profdata-merge command line option
- -instr (default)
  - llvm-profdata-merge command line option
  - llvm-profdata-show command line option
- -instr-prof-cold-threshold=threshold_int_number
  - llvm-profdata-merge command line option
- -instruction-info
  - llvm-mca command line option
- -instruction-tables
  - llvm-mca command line option
- -instrument-coverage
  - tblgen command line option
- -instrument-gisel-coverage
  - tblgen command line option
- -intrinsic-prefix=prefix
  - tblgen command line option
- -iterations=<number of iterations>
  - llvm-mca command line option
- -j N, --workers=N
  - lit command line option
- -j, --section=<section1[,section2,...]>
  - llvm-objdump command line option
- -jit-enable-eh
  - lli command line option
- -join-liveintervals
  - lli command line option
- -json
  - llvm-mca command line option
- -l
  - llvm-pdbutil-dump command line option
  - llvm-size command line option
- -L <dir>
  - llvm-libtool-darwin command line option
- -l <x>
  - llvm-libtool-darwin command line option
- -l, --line-numbers
  - llvm-objdump command line option
- -l, --long-file-names
  - llvm-cov-gcov command line option
- -line-coverage-gt=<N>
  - llvm-cov-show command line option
- -line-coverage-lt=<N>
  - llvm-cov-show command line option
- -lines
  - llvm-pdbutil-pretty command line option
- -list-below-cutoff
  - llvm-profdata-show command line option
- -llvmir-intrinsics-filter
  - tblgen command line option
- -load-address=<uint>
  - llvm-pdbutil-pretty command line option
- -load=<plugin>
  - opt command line option
- -load=pluginfilename
  - lli command line option
- -long-string-literals
  - tblgen command line option
- -lqueue=<load queue size>
  - llvm-mca command line option
- -lto-pass-remarks-filter=<regex>
  - command line option
- -lto-pass-remarks-format=<format>
  - command line option
- -lto-pass-remarks-hotness-threshold
  - command line option
- -lto-pass-remarks-output=<filename>
  - command line option
- -lto-pass-remarks-with-hotness
  - command line option
- -M
  - llvm-ar command line option
- -m
  - llvm-nm command line option
  - llvm-size command line option
- -M, --disassembler-options=<opt1[,opt2,...]>
  - llvm-objdump command line option
- -m, --macho
  - llvm-objdump command line option
- -march=<arch>
  - llc command line option
  - llvm-mca command line option
- -march=arch
  - lli command line option
- -match-prefix=prefix
  - tblgen command line option
- -mattr=a1,+a2,-a3,...
  - llc command line option
  - lli command line option
- -max-configs-per-opcode=<value>
  - llvm-exegesis command line option
- -mcpu=<cpu name>
  - llvm-exegesis command line option
- -mcpu=<cpuname>
  - llc command line option
  - llvm-mca command line option
- -mcpu=cpuname
  - lli command line option
- -meabi=[default|gnu|4|5]
  - llc command line option
- -memop-sizes
  - llvm-profdata-show command line option
- -min-class-padding-imm=<uint>
  - llvm-pdbutil-pretty command line option
- -min-class-padding=<uint>
  - llvm-pdbutil-pretty command line option
- -min-type-size=<uint>
  - llvm-pdbutil-pretty command line option
- -mod=<uint>
  - llvm-pdbutil-bytes command line option
- -mode=[latency|uops|inverse_throughput|analysis]
  - llvm-exegesis command line option
- -modi
  - llvm-pdbutil-bytes command line option
- -modi=<uint>
  - llvm-pdbutil-dump command line option
- -module-syms
  - llvm-pdbutil-pretty command line option
- -modules
  - llvm-pdbutil-dump command line option
- -mtriple=<target triple>
  - llc command line option
  - llvm-mca command line option
- -mtriple=target triple
  - lli command line option
- -n <name>, --name=<name>
  - llvm-dwarfdump command line option
- -n, --no-output
  - llvm-cov-gcov command line option
- -name namestring
  - tblgen command line option
- -name-map
  - llvm-pdbutil-bytes command line option
- -name-regex=<PATTERN>
  - llvm-cov-show command line option
- -name-whitelist=<FILE>
  - llvm-cov-show command line option
- -name=<NAME>
  - llvm-cov-show command line option
- -no-compiler-generated
  - llvm-pdbutil-pretty command line option
- -no-enum-definitions
  - llvm-pdbutil-pretty command line option
- -no-system-libs
  - llvm-pdbutil-pretty command line option
- -noalias=<bool>
  - llvm-mca command line option
- -nodetails
  - llvm-bcanalyzer command line option
- -nozero-initialized-in-bss
  - lli command line option
- -null-backend
  - tblgen command line option
- -num-repetitions=<Number of repetitions>
  - llvm-exegesis command line option
- -num-threads=N, -j=N
  - llvm-cov-export command line option
  - llvm-cov-show command line option
  - llvm-profdata-merge command line option
- -o
  - llvm-size command line option
- -o <file>
  - llvm-strip command line option
- -o <filename>
  - llc command line option
  - llvm-libtool-darwin command line option
  - llvm-mca command line option
  - opt command line option
- -o <path>
  - llvm-dwarfdump command line option
- -o filename
  - llvm-link command line option
  - llvm-stress command line option
  - tblgen command line option
- -o=<DIR|FILE>, --object-directory=<DIR>, --object-file=<FILE>
  - llvm-cov-gcov command line option
- -o=output or -o output
  - llvm-profdata-overlap command line option
- -O=uint
  - llc command line option
- -omit-comments
  - tblgen command line option
- -op-exclude-regex
  - tblgen command line option
- -op-include-regex
  - tblgen command line option
- -opcode-index=<LLVM opcode index>
  - llvm-exegesis command line option
- -opcode-name=<opcode name 1>,<opcode name 2>,...
  - llvm-exegesis command line option
- -opt-remarks-filename=<filename>
  - command line option
- -opt-remarks-filter=<regex>
  - command line option
- -opt-remarks-format=<format>
  - command line option
- -opt-remarks-with-hotness
  - command line option
- -optimize-match-table
  - tblgen command line option
- -output-asm-variant=<variant id>
  - llvm-mca command line option
- -output-dir=PATH
  - llvm-cov-show command line option
- -output=file, -o=file
  - llvm-cxxmap command line option
- -output=output, -o=output
  - llvm-profdata-merge command line option
  - llvm-profdata-show command line option
- -p
  - opt command line option
- -p, --preserve-paths
  - llvm-cov-gcov command line option
- -p, --private-headers
  - llvm-objdump command line option
- -p, --show-parents
  - llvm-dwarfdump command line option
- -pass-remarks-analysis=<regex>
  - command line option
- -pass-remarks-filter=<regex>
  - command line option
- -pass-remarks-format=<format>
  - command line option
- -pass-remarks-hotness-threshold
  - command line option
- -pass-remarks-missed=<regex>
  - command line option
- -pass-remarks-output=<filename>
  - command line option
- -pass-remarks-with-hotness
  - command line option
- -pass-remarks=<regex>
  - command line option
- -path-equivalence=<from>,<to>
  - llvm-cov-show command line option
- -pdb=<file-name>
  - llvm-pdbutil-merge command line option
  - llvm-pdbutil-yaml2pdb command line option
- -pre-RA-sched=scheduler
  - lli command line option
- -print-detailed-records
  - tblgen command line option
- -print-enums
  - tblgen command line option
- -print-imm-hex
  - llvm-mca command line option
- -print-records
  - tblgen command line option
- -print-sets
  - tblgen command line option
- -prof-sym-list=path
  - llvm-profdata-merge command line option
- -public-extras
  - llvm-pdbutil-dump command line option
- -publics
  - llvm-pdbutil-dump command line option
- -q, --quiet
  - lit command line option
- -r <N>, --recurse-depth=<N>
  - llvm-dwarfdump command line option
- -R, --dynamic-reloc
  - llvm-objdump command line option
- -r, --reloc
  - llvm-objdump command line option
- -regalloc=allocator
  - lli command line option
- -region-coverage-gt=<N>
  - llvm-cov-show command line option
- -region-coverage-lt=<N>
  - llvm-cov-show command line option
- -register-file-size=<size>
  - llvm-mca command line option
- -register-file-stats
  - llvm-mca command line option
- -register-info-debug
  - tblgen command line option
- -relocation-model=model
  - lli command line option
- -remapping-file=file, -r=file
  - llvm-cxxmap command line option
- -remapping-file=path, -r=path
  - llvm-profdata-merge command line option
- -remarks-section
  - llc command line option
- -repetition-mode=[duplicate|loop|min]
  - llvm-exegesis command line option
- -replace
  - llvm-lipo command line option
- -resource-pressure
  - llvm-mca command line option
- -retire-stats
  - llvm-mca command line option
- -rpath <old_rpath> <new_rpath>
  - llvm-install-name-tool command line option
- -S
  - dsymutil command line option
  - llvm-link command line option
  - opt command line option
- -s, --full-contents
  - llvm-objdump command line option
- -S, --source
  - llvm-objdump command line option
- -s, --succinct
  - lit command line option
- -s, --symtab
  - dsymutil command line option
- -s=<segment section>
  - llvm-nm command line option
- -sample
  - llvm-profdata-merge command line option
  - llvm-profdata-show command line option
- -sc
  - llvm-pdbutil-bytes command line option
- -scheduler-stats
  - llvm-mca command line option
- -section-contribs
  - llvm-pdbutil-dump command line option
- -section-headers
  - llvm-pdbutil-dump command line option
- -section-map
  - llvm-pdbutil-dump command line option
- -seed seed
  - llvm-stress command line option
- -segalign
  - llvm-lipo command line option
- -show-branch-summary
  - llvm-cov-report command line option
- -show-branches=<VIEW>
  - llvm-cov-show command line option
- -show-encoding
  - llvm-mca command line option
- -show-expansions
  - llvm-cov-show command line option
- -show-functions
  - llvm-cov-report command line option
- -show-instantiation-summary
  - llvm-cov-report command line option
- -show-instantiations
  - llvm-cov-show command line option
- -show-line-counts
  - llvm-cov-show command line option
- -show-line-counts-or-regions
  - llvm-cov-show command line option
- -show-prof-sym-list=[true|false]
  - llvm-profdata-show command line option
- -show-regions
  - llvm-cov-show command line option
- -show-sec-info-only=[true|false]
  - llvm-profdata-show command line option
- -showcs
  - llvm-profdata-show command line option
- -size size
  - llvm-stress command line option
- -skip-expansions
  - llvm-cov-export command line option
- -skip-functions
  - llvm-cov-export command line option
- -sm
  - llvm-pdbutil-bytes command line option
- -snippets-file=<filename>
  - llvm-exegesis command line option
- -soft-float
  - lli command line option
- -sparse[=true|false]
  - llvm-profdata-merge command line option
- -spiller
  - lli command line option
- -split-chunks
  - llvm-pdbutil-bytes command line option
- -squeue=<store queue size>
  - llvm-mca command line option
- -stack-size-section
  - llc command line option
- -static
  - llvm-libtool-darwin command line option
- -stats
  - lli command line option
  - opt command line option
  - tblgen command line option
- -stream-blocks
  - llvm-pdbutil-dump command line option
- -stream-data=<string>
  - llvm-pdbutil-bytes command line option
- -streams
  - llvm-pdbutil-dump command line option
- -string-table
  - llvm-pdbutil-dump command line option
- -strip-debug
  - opt command line option
- -summary
  - llvm-pdbutil-dump command line option
- -summary-only
  - llvm-cov-export command line option
- -suppl-min-size-threshold=threshold_int_number
  - llvm-profdata-merge command line option
- -supplement-instr-with-sample=path_to_sample_profile
  - llvm-profdata-merge command line option
- -sym-data
  - llvm-pdbutil-dump command line option
- -sym-types=<types>
  - llvm-pdbutil-pretty command line option
- -symbol-order=<order>
  - llvm-pdbutil-pretty command line option
- -symbols
  - llvm-pdbutil-dump command line option
- -syms
  - llvm-pdbutil-bytes command line option
- -T
  - llvm-strip command line option
- -T, --dynamic-syms
  - llvm-objdump command line option
- -t, --syms
  - llvm-objdump command line option
- -tab-size=<TABSIZE>
  - llvm-cov-show command line option
- -text
  - llvm-profdata-merge command line option
  - llvm-profdata-show command line option
- -thin
  - llvm-lipo command line option
- -time-passes
  - lli command line option
  - opt command line option
- -time-phases
  - tblgen command line option
- -timeline
  - llvm-mca command line option
- -timeline-max-cycles=<cycles>
  - llvm-mca command line option
- -timeline-max-iterations=<iterations>
  - llvm-mca command line option
- -topn=n
  - llvm-profdata-show command line option
- -type-data
  - llvm-pdbutil-dump command line option
- -type-extras
  - llvm-pdbutil-dump command line option
- -type-index=<uint>
  - llvm-pdbutil-dump command line option
- -type-server
  - llvm-pdbutil-bytes command line option
- -type=<uint>
  - llvm-pdbutil-bytes command line option
- -typedefs
  - llvm-pdbutil-pretty command line option
- -typedefs-dialect name
  - tblgen command line option
- -types
  - llvm-pdbutil-dump command line option
  - llvm-pdbutil-pretty command line option
- -U
  - llvm-libtool-darwin command line option
- -u, --unconditional-branches
  - llvm-cov-gcov command line option
- -u, --unwind-info
  - llvm-objdump command line option
- -u, --update
  - dsymutil command line option
- -u, --uuid
  - llvm-dwarfdump command line option
- -use-color
  - llvm-cov-show command line option
- -use-color[=VALUE]
  - llvm-cov-report command line option
- -use-md5=[true|false]
  - llvm-profdata-merge command line option
- -V
  - llvm-libtool-darwin command line option
- -v
  - FileCheck command line option
  - llvm-link command line option
- -v, --verbose
  - lit command line option
  - llvm-dwarfdump command line option
- -v, --version
  - dsymutil command line option
- -value-cutoff=n
  - llvm-profdata-overlap command line option
  - llvm-profdata-show command line option
- -verify
  - llvm-bcanalyzer command line option
- -verify-each
  - opt command line option
- -verify_arch <architecture 1> [<architecture 2> ...]
  - llvm-lipo command line option
- -version
  - FileCheck command line option
  - lli command line option
  - llvm-cov-gcov command line option
  - llvm-libtool-darwin command line option
  - llvm-lipo command line option
  - tblgen command line option
- -vv
  - FileCheck command line option
- -vv, --echo-all-commands
  - lit command line option
- -w, --wide
  - llvm-objdump command line option
- -Wambiguous
  - llvm-cxxmap command line option
- -warn-on-skipped-patterns
  - tblgen command line option
- -weighted-input=weight,filename
  - llvm-profdata-merge command line option
- -Wincomplete
  - llvm-cxxmap command line option
- -write-if-changed
  - tblgen command line option
- -x
  - llvm-nm command line option
  - llvm-size command line option
- -x, --all-headers
  - llvm-objdump command line option
- -x, --hash-filenames
  - llvm-cov-gcov command line option
- -x, --regex
  - llvm-dwarfdump command line option
- -x86-asm-syntax=syntax
  - lli command line option
- -x86-lbr-sample-period=<nBranches/sample>
  - llvm-exegesis command line option
- -Xdemangler=<TOOL>|<TOOL-OPTION>
  - llvm-cov-show command line option
- -xme
  - llvm-pdbutil-dump command line option
- -xmi
  - llvm-pdbutil-dump command line option
- -y
  - dsymutil command line option
- -z, --disassemble-zeroes
  - llvm-objdump command line option
- -zero-counter-threshold=threshold_float_number
  - llvm-profdata-merge command line option
- -{passname}
  - opt command line option
- @<FILE>
  - llvm-ar command line option
  - llvm-cxxfilt command line option
  - llvm-dwarfdump command line option
  - llvm-nm command line option
  - llvm-objcopy command line option
  - llvm-objdump command line option
  - llvm-readelf command line option
  - llvm-readobj command line option
  - llvm-size command line option
  - llvm-strings command line option
  - llvm-strip command line option
  - llvm-symbolizer command line option

## A

- a
  - llvm-ar command line option
- ADDLIB archive
  - llvm-ar command line option

- ADDMOD <file>
  - llvm-ar command line option
- att
  - llvm-objdump command line option

## B

- b
  - llvm-ar command line option

## C

- c
  - llvm-ar command line option
- command line option
  - -lto-pass-remarks-filter=<regex>
  - -lto-pass-remarks-format=<format>
  - -lto-pass-remarks-hotness-threshold
  - -lto-pass-remarks-output=<filename>
  - -lto-pass-remarks-with-hotness
  - -opt-remarks-filename=<filename>
  - -opt-remarks-filter=<regex>
  - -opt-remarks-format=<format>
  - -opt-remarks-with-hotness
  - -pass-remarks-analysis=<regex>
  - -pass-remarks-filter=<regex>
  - -pass-remarks-format=<format>
  - -pass-remarks-hotness-threshold
  - -pass-remarks-missed=<regex>
  - -pass-remarks-output=<filename>
  - -pass-remarks-with-hotness
  - -pass-remarks=<regex>

- CREATE archive
  - llvm-ar command line option
- CREATETHIN archive
  - llvm-ar command line option

## D

- D
  - llvm-ar command line option
- d [NT]
  - llvm-ar command line option
- DELETE <file>
  - llvm-ar command line option
- dsymutil command line option
  - --accelerator=<accelerator type>
  - --arch <arch>
  - --dump-debug-map
  - --flat, -f
  - --gen-reproducer
  - --help, -h
  - --minimize, -z
  - --no-odr
  - --no-output
  - --no-swiftmodule-timestamp
  - --num-threads <threads>, -j <threads>
  - --object-prefix-map <prefix=remapped>
  - --oso-prepend-path <path>
  - --out <filename>, -o <filename>
  - --papertrail
  - --remarks-output-format <format>
  - --remarks-prepend-path <path>
  - --statistics
  - --symbol-map <bcsymbolmap>
  - --toolchain <toolchain>
  - --use-reproducer <path>
  - --verbose
  - --verify
  - -S
  - -s, --symtab
  - -u, --update
  - -v, --version
  - -y

## E

- END
  - llvm-ar command line option

## F

- FileCheck command line option
  - --allow-deprecated-dag-overlap
  - --allow-empty
  - --allow-unused-prefixes
  - --check-prefix prefix
  - --check-prefixes prefix1,prefix2,...
  - --color
  - --comment-prefixes prefix1,prefix2,...
  - --dump-input <value>
  - --dump-input-context <N>
  - --dump-input-filter <value>
  - --enable-var-scope
  - --ignore-case
  - --implicit-check-not check-pattern
  - --input-file filename
  - --match-full-lines
  - --strict-whitespace
  - -D#<FMT>,<NUMVAR>=<NUMERIC EXPRESSION>
  - -D<VAR=VALUE>
  - -help
  - -v
  - -version
  - -vv

## I

- i
  - llvm-ar command line option

- intel
  - llvm-objdump command line option

## L

- L
  - llvm-ar command line option
- lit command line option
  - --config-prefix=NAME
  - --debug
  - --filter=REGEXP
  - --max-failures N
  - --max-tests=N
  - --max-time=N
  - --no-progress-bar
  - --num-shards=M
  - --path=PATH
  - --run-shard=N
  - --show-suites
  - --show-tests
  - --show-unsupported
  - --show-xfail
  - --shuffle
  - --time-tests
  - --timeout=N
  - --vg
  - --vg-arg=ARG
  - --vg-leak
  - -D NAME[=VALUE], --param NAME[=VALUE]
  - -a, --show-all
  - -h, --help
  - -j N, --workers=N
  - -q, --quiet
  - -s, --succinct
  - -v, --verbose
  - -vv, --echo-all-commands
- llc command line option
  - --disable-excess-fp-precision
  - --enable-no-infs-fp-math
  - --enable-no-nans-fp-math
  - --enable-no-signed-zeros-fp-math
  - --enable-no-trapping-fp-math
  - --enable-unsafe-fp-math
  - --frame-pointer
  - --load=<dso_path>
  - --print-after-isel
  - --regalloc=<allocator>
  - --spiller=<spiller>
  - --stats
  - --time-passes
  - --x86-asm-syntax=[att|intel]
  - -O=uint
  - -filetype=<output file type>
  - -help
  - -march=<arch>
  - -mattr=a1,+a2,-a3,...
  - -mcpu=<cpuname>
  - -meabi=[default|gnu|4|5]
  - -mtriple=<target triple>
  - -o <filename>
  - -remarks-section
  - -stack-size-section
- lli command line option
  - -code-model=model
  - -disable-excess-fp-precision
  - -disable-post-RA-scheduler
  - -disable-spill-fusing
  - -enable-no-infs-fp-math
  - -enable-no-nans-fp-math
  - -enable-unsafe-fp-math
  - -fake-argv0=executable
  - -force-interpreter={false,true}
  - -help
  - -jit-enable-eh
  - -join-liveintervals
  - -load=pluginfilename
  - -march=arch
  - -mattr=a1,+a2,-a3,...
  - -mcpu=cpuname
  - -mtriple=target triple
  - -nozero-initialized-in-bss
  - -pre-RA-sched=scheduler
  - -regalloc=allocator
  - -relocation-model=model
  - -soft-float
  - -spiller
  - -stats
  - -time-passes
  - -version
  - -x86-asm-syntax=syntax
- llvm-ar command line option
  - --format=<type>
  - --version
  - -M
  - -h, --help
  - @<FILE>
  - ADDLIB archive
  - ADDMOD <file>
  - CREATE archive
  - CREATETHIN archive
  - D
  - DELETE <file>
  - END
  - L
  - N
  - O
  - P
  - S
  - SAVE
  - T
  - U
  - V
  - a
  - b
  - c
  - d [NT]
  - i
  - m [abi]
  - o
  - p [v]
  - q [LT]
  - r [abTu]
  - s
  - u
  - v
  - x [oP]
- llvm-bcanalyzer command line option
  - -dump
  - -help
  - -nodetails
  - -verify
- llvm-cov-export command line option
  - -arch=<name>
  - -format=<FORMAT>
  - -ignore-filename-regex=<PATTERN>
  - -num-threads=N, -j=N
  - -skip-expansions
  - -skip-functions
  - -summary-only
- llvm-cov-gcov command line option
  - --help
  - -a, --all-blocks
  - -b, --branch-probabilities
  - -c, --branch-counts
  - -f, --function-summaries
  - -l, --long-file-names
  - -n, --no-output
  - -o=<DIR|FILE>, --object-directory=<DIR>, --object-file=<FILE>
  - -p, --preserve-paths
  - -u, --unconditional-branches
  - -version
  - -x, --hash-filenames
- llvm-cov-report command line option
  - -arch=<name>
  - -ignore-filename-regex=<PATTERN>
  - -show-branch-summary
  - -show-functions
  - -show-instantiation-summary
  - -use-color[=VALUE]
- llvm-cov-show command line option
  - -Xdemangler=<TOOL>|<TOOL-OPTION>
  - -arch=[*NAMES*]
  - -format=<FORMAT>
  - -ignore-filename-regex=<PATTERN>
  - -line-coverage-gt=<N>
  - -line-coverage-lt=<N>
  - -name-regex=<PATTERN>
  - -name-whitelist=<FILE>
  - -name=<NAME>
  - -num-threads=N, -j=N
  - -output-dir=PATH
  - -path-equivalence=<from>,<to>
  - -region-coverage-gt=<N>
  - -region-coverage-lt=<N>
  - -show-branches=<VIEW>
  - -show-expansions
  - -show-instantiations
  - -show-line-counts
  - -show-line-counts-or-regions
  - -show-regions
  - -tab-size=<TABSIZE>
  - -use-color
- llvm-cxxfilt command line option
  - --format=<value>, -s
  - --help, -h
  - --help-list
  - --no-strip-underscore, -n
  - --strip-underscore, -_
  - --types, -t
  - --version
  - @<FILE>
- llvm-cxxmap command line option
  - -Wambiguous
  - -Wincomplete
  - -output=file, -o=file
  - -remapping-file=file, -r=file
- llvm-dwarfdump command line option
  - --arch=<arch>
  - --color
  - --debug-abbrev, --debug-addr, --debug-aranges, --debug-cu-index, --debug-frame[=<offset>], --debug-gnu-pubnames, --debug-gnu-pubtypes, --debug-info [=<offset>], --debug-line [=<offset>], --debug-line-str, --debug-loc [=<offset>], --debug-loclists [=<offset>], --debug-macro, --debug-names, --debug-pubnames, --debug-pubtypes, --debug-ranges, --debug-rnglists, --debug-str, --debug-str-offsets, --debug-tu-index, --debug-types [=<offset>], --eh-frame [=<offset>], --gdb-index, --apple-names, --apple-types, --apple-namespaces, --apple-objc
  - --diff
  - --help-list
  - --lookup=<address>
  - --parent-recurse-depth=<N>
  - --quiet
  - --show-section-sizes
  - --statistics
  - --summarize-types
  - --verify
  - --version
  - -F, --show-form
  - -a, --all
  - -c, --show-children
  - -f <name>, --find=<name>
  - -h, --help
  - -i, --ignore-case
  - -n <name>, --name=<name>
  - -o <path>
  - -p, --show-parents
  - -r <N>, --recurse-depth=<N>
  - -u, --uuid
  - -v, --verbose
  - -x, --regex
  - @<FILE>
- llvm-exegesis command line option
  - --dump-object-to-disk=true
  - -analysis-clustering-epsilon=<dbscan epsilon parameter>
  - -analysis-clustering=[dbscan,naive]
  - -analysis-clusters-output-file=</path/to/file>
  - -analysis-display-unstable-clusters
  - -analysis-inconsistencies-output-file=</path/to/file>
  - -analysis-inconsistency-epsilon=<epsilon>
  - -analysis-numpoints=<dbscan numPoints parameter>
  - -benchmarks-file=</path/to/file>
  - -help
  - -ignore-invalid-sched-class=false
  - -max-configs-per-opcode=<value>
  - -mcpu=<cpu name>
  - -mode=[latency|uops|inverse_throughput|analysis]
  - -num-repetitions=<Number of repetitions>
  - -opcode-index=<LLVM opcode index>
  - -opcode-name=<opcode name 1>,<opcode name 2>,...
  - -repetition-mode=[duplicate|loop|min]
  - -snippets-file=<filename>
  - -x86-lbr-sample-period=<nBranches/sample>
- llvm-install-name-tool command line option
  - --help, -h
  - --version, -V
  - -add_rpath <rpath>
  - -change <old_install_name> <new_install_name>
  - -delete_all_rpaths
  - -delete_rpath <rpath>
  - -id <name>
  - -rpath <old_rpath> <new_rpath>
- llvm-libtool-darwin command line option
  - -D
  - -L <dir>
  - -U
  - -V
  - -arch_only <architecture>
  - -color
  - -filelist <listfile[,dirname]>
  - -h, -help
  - -help-list
  - -l <x>
  - -o <filename>
  - -static
  - -version
- llvm-link command line option
  - -S
  - -d
  - -f
  - -help
  - -o filename
  - -v
- llvm-lipo command line option
  - -archs
  - -create
  - -help, -h
  - -info
  - -replace
  - -segalign
  - -thin
  - -verify_arch <architecture 1> [<architecture 2> ...]
  - -version
- llvm-locstats command line option
  - --compare
  - --draw-plot
  - --ignore-debug-entry-values
  - --only-formal-parameters
  - --only-variables
- llvm-mca command line option
  - -all-stats
  - -all-views
  - -bottleneck-analysis
  - -dispatch-stats
  - -dispatch=<width>
  - -help
  - -instruction-info
  - -instruction-tables
  - -iterations=<number of iterations>
  - -json
  - -lqueue=<load queue size>
  - -march=<arch>
  - -mcpu=<cpuname>
  - -mtriple=<target triple>
  - -noalias=<bool>
  - -o <filename>
  - -output-asm-variant=<variant id>
  - -print-imm-hex
  - -register-file-size=<size>
  - -register-file-stats
  - -resource-pressure
  - -retire-stats
  - -scheduler-stats
  - -show-encoding
  - -squeue=<store queue size>
  - -timeline
  - -timeline-max-cycles=<cycles>
  - -timeline-max-iterations=<iterations>
- llvm-nm command line option
  - --add-dyldinfo
  - --add-inlinedinfo
  - --arch=<arch1[,arch2,...]>
  - --debug-syms, -a
  - --defined-only, -U
  - --demangle, -C
  - --dyldinfo-only
  - --dynamic, -D
  - --extern-only, -g
  - --format=<format>, -f
  - --help, -h
  - --help-list
  - --just-symbol-name, -j
  - --no-demangle
  - --no-dyldinfo
  - --no-llvm-bc
  - --no-sort, -p
  - --no-weak, -W
  - --numeric-sort, -n, -v
  - --portability, -P
  - --print-armap, -M
  - --print-file-name, -A, -o
  - --print-size, -S
  - --radix=<RADIX>, -t
  - --reverse-sort, -r
  - --size-sort
  - --special-syms
  - --undefined-only, -u
  - --version
  - --without-aliases
  - -B
  - -m
  - -s=<segment section>
  - -x
  - @<FILE>
- llvm-objcopy command line option
  - --add-gnu-debuglink <debug-file>
  - --add-section <section=file>
  - --add-symbol <name>=[<section>:]<value>[,<flags>]
  - --allow-broken-links
  - --binary-architecture <arch>, -B
  - --build-id-link-dir <dir>
  - --build-id-link-input <suffix>
  - --build-id-link-output <suffix>
  - --change-start <incr>, --adjust-start
  - --compress-debug-sections [<style>]
  - --decompress-debug-sections
  - --disable-deterministic-archives, -U
  - --discard-all, -x
  - --discard-locals, -X
  - --dump-section <section>=<file>
  - --enable-deterministic-archives, -D
  - --extract-dwo
  - --extract-main-partition
  - --extract-partition <name>
  - --globalize-symbol <symbol>
  - --globalize-symbols <filename>
  - --help, -h
  - --input-target <format>, -I
  - --keep-file-symbols
  - --keep-global-symbol <symbol>
  - --keep-global-symbols <filename>
  - --keep-section <section>
  - --keep-symbol <symbol>, -K
  - --keep-symbols <filename>
  - --localize-hidden
  - --localize-symbol <symbol>, -L
  - --localize-symbols <filename>
  - --new-symbol-visibility <visibility>
  - --only-keep-debug
  - --only-section <section>, -j
  - --output-target <format>, -O
  - --prefix-alloc-sections <prefix>
  - --prefix-symbols <prefix>
  - --preserve-dates, -p
  - --redefine-sym <old>=<new>
  - --redefine-syms <filename>
  - --regex
  - --remove-section <section>, -R
  - --rename-section <old>=<new>[,<flag>,...]
  - --set-section-alignment <section>=<align>
  - --set-section-flags <section>=<flag>[,<flag>,...]
  - --set-start-addr <addr>
  - --split-dwo <dwo-file>
  - --strip-all, -S
  - --strip-all-gnu
  - --strip-debug, -g
  - --strip-dwo
  - --strip-non-alloc
  - --strip-sections
  - --strip-symbol <symbol>, -N
  - --strip-symbols <filename>
  - --strip-unneeded
  - --strip-unneeded-symbol <symbol>
  - --strip-unneeded-symbols <filename>
  - --target <format>, -F
  - --version, -V
  - --weaken
  - --weaken-symbol <symbol>, -W
  - --weaken-symbols <filename>
  - --wildcard, -w
  - @<FILE>

- llvm-objdump command line option
  - --adjust-vma=<offset>
  - --arch-name=<string>
  - --arch=<architecture>
  - --archive-member-offsets
  - --bind
  - --cfg
  - --data-in-code
  - --debug-vars-indent=<width>
  - --debug-vars=<format>
  - --dis-symname=<name>
  - --disassemble-symbols=<symbol1[,symbol2,...]>
  - --dsym=<string>
  - --dwarf=<value>
  - --dylib-id
  - --dylibs-used
  - --exports-trie
  - --fault-map-section
  - --full-leading-addr
  - --help
  - --indirect-symbols
  - --info-plist
  - --lazy-bind
  - --link-opt-hints
  - --mattr=<a1,+a2,-a3,...>
  - --mcpu=<cpu-name>
  - --no-leading-addr
  - --no-leading-headers
  - --no-show-raw-insn
  - --no-symbolic-operands
  - --non-verbose
  - --objc-meta-data
  - --prefix=<prefix>
  - --print-imm-hex
  - --private-header
  - --raw-clang-ast
  - --rebase
  - --show-lma
  - --start-address=<address>
  - --stop-address=<address>
  - --symbol-description
  - --symbolize-operands
  - --triple=<string>
  - --universal-headers
  - --version
  - --weak-bind
  - --x86-asm-syntax=<style>
  - -C, --demangle
  - -D, --disassemble-all
  - -M, --disassembler-options=<opt1[,opt2,...]>
  - -R, --dynamic-reloc
  - -S, --source
  - -T, --dynamic-syms
  - -a, --archive-headers
  - -d, --disassemble
  - -f, --file-headers
  - -g
  - -h, --headers, --section-headers
  - -j, --section=<section1[,section2,...]>
  - -l, --line-numbers
  - -m, --macho
  - -p, --private-headers
  - -r, --reloc
  - -s, --full-contents
  - -t, --syms
  - -u, --unwind-info
  - -w, --wide
  - -x, --all-headers
  - -z, --disassemble-zeroes
  - @<FILE>
  - att
  - intel
- llvm-pdbutil-bytes command line option
  - -block-range=<start[-end]>
  - -byte-range=<start[-end]>
  - -chunks
  - -ec
  - -files
  - -fpm
  - -id=<uint>
  - -mod=<uint>
  - -modi
  - -name-map
  - -sc
  - -sm
  - -split-chunks
  - -stream-data=<string>
  - -syms
  - -type-server
  - -type=<uint>
- llvm-pdbutil-dump command line option
  - -all
  - -dependents
  - -files
  - -global-extras
  - -globals
  - -id-data
  - -id-extras
  - -id-index=<uint>
  - -ids
  - -il
  - -l
  - -modi=<uint>
  - -modules
  - -public-extras
  - -publics
  - -section-contribs
  - -section-headers
  - -section-map
  - -stream-blocks
  - -streams
  - -string-table
  - -summary
  - -sym-data
  - -symbols
  - -type-data
  - -type-extras
  - -type-index=<uint>
  - -types
  - -xme
  - -xmi
- llvm-pdbutil-merge command line option
  - -pdb=<file-name>
- llvm-pdbutil-pretty command line option
  - -all
  - -class-definitions=<format>
  - -class-order
  - -class-recurse-depth=<uint>
  - -classes
  - -color-output
  - -compilands
  - -enums
  - -exclude-compilands=<string>
  - -exclude-symbols=<string>
  - -exclude-types=<string>
  - -externals
  - -globals
  - -include-compilands=<string>
  - -include-symbols=<string>
  - -include-types=<string>
  - -lines
  - -load-address=<uint>
  - -min-class-padding-imm=<uint>
  - -min-class-padding=<uint>
  - -min-type-size=<uint>
  - -module-syms
  - -no-compiler-generated
  - -no-enum-definitions
  - -no-system-libs
  - -sym-types=<types>
  - -symbol-order=<order>
  - -typedefs
  - -types
- llvm-pdbutil-yaml2pdb command line option
  - -pdb=<file-name>
- llvm-profdata-merge command line option
  - -binary (default)
  - -compress-all-sections=[true|false]
  - -extbinary
  - -failure-mode=[any|all]
  - -gcc
  - -gen-partial-profile=[true|false]
  - -help
  - -input-files=path, -f=path
  - -instr (default)
  - -instr-prof-cold-threshold=threshold_int_number
  - -num-threads=N, -j=N
  - -output=output, -o=output
  - -prof-sym-list=path
  - -remapping-file=path, -r=path
  - -sample
  - -sparse[=true|false]
  - -suppl-min-size-threshold=threshold_int_number
  - -supplement-instr-with-sample=path_to_sample_profile
  - -text
  - -use-md5=[true|false]
  - -weighted-input=weight,filename
  - -zero-counter-threshold=threshold_float_number
- llvm-profdata-overlap command line option
  - -cs
  - -function=string
  - -help
  - -o=output or -o output
  - -value-cutoff=n
- llvm-profdata-show command line option
  - -all-functions
  - -counts
  - -function=string
  - -help
  - -instr (default)
  - -list-below-cutoff
  - -memop-sizes
  - -output=output, -o=output
  - -sample
  - -show-prof-sym-list=[true|false]
  - -show-sec-info-only=[true|false]
  - -showcs
  - -text
  - -topn=n
  - -value-cutoff=n
- llvm-profgen command line option
  - --binary=<string[,string,...]>
  - --format=[text|binary|extbinary|compbinary|gcc]
  - --output=<string>
  - --perfscript=<string[,string,...]>
  - --show-disassembly
  - --show-mmap-events
  - --x86-asm-syntax=[att|intel]
- llvm-readelf command line option
  - --addrsig
  - --all
  - --arch-specific, -A
  - --cg-profile
  - --color
  - --demangle, -C
  - --dyn-relocations
  - --dyn-symbols, --dyn-syms
  - --dynamic-table, --dynamic, -d
  - --elf-hash-histogram, --histogram, -I
  - --elf-linker-options
  - --elf-output-style=<value>
  - --elf-section-groups, --section-groups, -g
  - --expand-relocs
  - --file-headers, -h
  - --gnu-hash-table
  - --hash-symbols
  - --hash-table
  - --headers, -e
  - --help
  - --help-list
  - --hex-dump=<section[,section,...]>, -x
  - --needed-libs
  - --notes, -n
  - --program-headers, --segments, -l
  - --raw-relr
  - --relocations, --relocs, -r
  - --section-data
  - --section-details, -t
  - --section-mapping
  - --section-relocations
  - --section-symbols
  - --sections, --section-headers, -S
  - --stack-sizes
  - --stackmap
  - --string-dump=<section[,section,...]>, -p
  - --symbols, --syms, -s
  - --unwind, -u
  - --version
  - --version-info, -V
  - @<FILE>
- llvm-readobj command line option
  - --addrsig
  - --all
  - --arch-specific, -A
  - --cg-profile
  - --codeview
  - --codeview-ghash
  - --codeview-merged-types
  - --codeview-subsection-bytes
  - --coff-basereloc
  - --coff-debug-directory
  - --coff-directives
  - --coff-exports
  - --coff-imports
  - --coff-load-config
  - --coff-resources
  - --coff-tls-directory
  - --color
  - --demangle, -C
  - --dependent-libraries
  - --dyn-relocations
  - --dyn-symbols, --dyn-syms, --dt
  - --dynamic-table, --dynamic, -d
  - --elf-hash-histogram, --histogram, -I
  - --elf-linker-options
  - --elf-output-style=<value>
  - --elf-section-groups, --section-groups, -g
  - --expand-relocs
  - --file-headers, -h
  - --gnu-hash-table
  - --hash-symbols
  - --hash-table
  - --headers, -e
  - --help
  - --help-list
  - --hex-dump=<section[,section,...]>, -x
  - --macho-data-in-code
  - --macho-dsymtab
  - --macho-indirect-symbols
  - --macho-linker-options
  - --macho-segment
  - --macho-version-min
  - --needed-libs
  - --notes, -n
  - --program-headers, --segments, -l
  - --raw-relr
  - --relocations, --relocs, -r
  - --section-data, --sd
  - --section-mapping
  - --section-relocations, --sr
  - --section-symbols, --st
  - --sections, --section-headers, -s, -S
  - --stack-sizes
  - --stackmap
  - --string-dump=<section[,section,...]>, -p
  - --symbols, --syms, -t
  - --unwind, -u
  - --version
  - --version-info, -V
  - @<FILE>
- llvm-size command line option
  - --arch=<arch>
  - --common
  - --format=<format>
  - --help, -h
  - --help-list
  - --radix=<value>
  - --totals, -t
  - --version
  - -A
  - -B
  - -d
  - -l
  - -m
  - -o
  - -x
  - @<FILE>
- llvm-stress command line option
  - -o filename
  - -seed seed
  - -size size
- llvm-strings command line option
  - --all, -a
  - --bytes=<length>, -n
  - --help, -h
  - --help-list
  - --print-file-name, -f
  - --radix=<radix>, -t
  - --version
  - @<FILE>
- llvm-strip command line option
  - --allow-broken-links
  - --disable-deterministic-archives, -U
  - --discard-all, -x
  - --discard-locals, -X
  - --enable-deterministic-archives, -D
  - --help, -h
  - --keep-file-symbols
  - --keep-section <section>
  - --keep-symbol <symbol>, -K
  - --no-strip-all
  - --only-keep-debug
  - --preserve-dates, -p
  - --regex
  - --remove-section <section>, -R
  - --strip-all, -S
  - --strip-all-gnu
  - --strip-debug, -g
  - --strip-sections
  - --strip-symbol <symbol>, -N
  - --strip-unneeded
  - --version, -V
  - --wildcard, -w
  - -T
  - -o <file>
  - @<FILE>
- llvm-symbolizer command line option
  - --adjust-vma <offset>
  - --basenames, -s
  - --default-arch <arch>
  - --demangle, -C
  - --dia
  - --dsym-hint <path/to/file.dSYM>
  - --dwp <path>
  - --fallback-debug-path <path>
  - --functions [=<none|short|linkage>], -f
  - --help, -h
  - --inlining, --inlines, -i
  - --no-demangle
  - --no-inlines
  - --obj <path>, --exe, -e
  - --output-style <LLVM|GNU>
  - --pretty-print, -p
  - --print-address, --addresses, -a
  - --print-source-context-lines <N>
  - --relativenames
  - --use-symbol-table
  - --verbose
  - --version, -v
  - @<FILE>

## M

- m [abi]
  - llvm-ar command line option

## N

- N
  - llvm-ar command line option

## O

- O
  - llvm-ar command line option
- o
  - llvm-ar command line option
- opt command line option
  - -S
  - -debug
  - -disable-inlining
  - -disable-opt
  - -f
  - -help
  - -load=<plugin>
  - -o <filename>
  - -p
  - -stats
  - -strip-debug
  - -time-passes
  - -verify-each
  - -{passname}

## P

- P
  - llvm-ar command line option

- p [v]
  - llvm-ar command line option

## Q

- q [LT]
  - llvm-ar command line option

## R

- r [abTu]
  - llvm-ar command line option

## S

- S
  - llvm-ar command line option
- s
  - llvm-ar command line option

- SAVE
  - llvm-ar command line option

## T

- T
  - llvm-ar command line option
- tblgen command line option
  - -D=macroname
  - -I directory
  - -asmformat-error-is-fatal
  - -asmparsernum=n
  - -asmwriternum=n
  - -clang-component component
  - -class=classname
  - -combiners=list
  - -d=filename
  - -debug
  - -dialect
  - -dialect-opclass-base
  - -dump-json
  - -gen-arm-bf16
  - -gen-arm-cde-builtin-aliases
  - -gen-arm-cde-builtin-codegen
  - -gen-arm-cde-builtin-def
  - -gen-arm-cde-builtin-sema
  - -gen-arm-cde-header
  - -gen-arm-fp16
  - -gen-arm-mve-builtin-aliases
  - -gen-arm-mve-builtin-codegen
  - -gen-arm-mve-builtin-def
  - -gen-arm-mve-builtin-sema
  - -gen-arm-mve-header
  - -gen-arm-neon
  - -gen-arm-neon-sema
  - -gen-arm-neon-test
  - -gen-arm-sve-builtin-codegen
  - -gen-arm-sve-builtins
  - -gen-arm-sve-header
  - -gen-arm-sve-sema-rangechecks
  - -gen-arm-sve-typeflags
  - -gen-asm-matcher
  - -gen-asm-parser
  - -gen-asm-writer
  - -gen-attr-docs
  - -gen-attrs
  - -gen-automata
  - -gen-avail-interface-decls
  - -gen-avail-interface-defs
  - -gen-callingconv
  - -gen-clang-attr-ast-visitor
  - -gen-clang-attr-classes
  - -gen-clang-attr-has-attribute-impl
  - -gen-clang-attr-impl
  - -gen-clang-attr-list"
  - -gen-clang-attr-node-traverse
  - -gen-clang-attr-parsed-attr-impl
  - -gen-clang-attr-parsed-attr-kinds
  - -gen-clang-attr-parsed-attr-list
  - -gen-clang-attr-parser-string-switches
  - -gen-clang-attr-pch-read
  - -gen-clang-attr-pch-write
  - -gen-clang-attr-spelling-index
  - -gen-clang-attr-subject-match-rule-list
  - -gen-clang-attr-subject-match-rules-parser-string-switches
  - -gen-clang-attr-template-instantiate
  - -gen-clang-attr-text-node-dump
  - -gen-clang-basic-reader
  - -gen-clang-basic-writer
  - -gen-clang-comment-command-info
  - -gen-clang-comment-command-list
  - -gen-clang-comment-html-named-character-references
  - -gen-clang-comment-html-tags
  - -gen-clang-comment-html-tags-properties
  - -gen-clang-comment-nodes
  - -gen-clang-data-collectors
  - -gen-clang-decl-nodes
  - -gen-clang-diag-groups
  - -gen-clang-diags-defs
  - -gen-clang-diags-index-name
  - -gen-clang-opcodes
  - -gen-clang-opencl-builtins
  - -gen-clang-sa-checkers
  - -gen-clang-stmt-nodes
  - -gen-clang-test-pragma-attribute-supported-attributes
  - -gen-clang-type-nodes
  - -gen-clang-type-reader
  - -gen-clang-type-writer
  - -gen-compress-inst-emitter
  - -gen-ctags
  - -gen-dag-isel
  - -gen-dfa-packetizer
  - -gen-diag-docs
  - -gen-dialect-doc
  - -gen-directive-decl, [1]
  - -gen-directive-gen
  - -gen-directive-impl
  - -gen-disassembler
  - -gen-emitter
  - -gen-enum-decls
  - -gen-enum-defs
  - -gen-enum-from-llvmir-conversions
  - -gen-enum-to-llvmir-conversions
  - -gen-exegesis
  - -gen-fast-isel
  - -gen-global-isel
  - -gen-global-isel-combiner
  - -gen-instr-docs
  - -gen-instr-info
  - -gen-intrinsic-enums
  - -gen-intrinsic-impl
  - -gen-llvmir-conversions
  - -gen-llvmir-intrinsics
  - -gen-op-decls
  - -gen-op-defs
  - -gen-op-doc
  - -gen-opt-docs
  - -gen-opt-parser-defs
  - -gen-opt-rst
  - -gen-pass-decls
  - -gen-pass-doc
  - -gen-pseudo-lowering
  - -gen-register-bank
  - -gen-register-info
  - -gen-rewriters
  - -gen-searchable-tables
  - -gen-spirv-avail-impls
  - -gen-spirv-capability-implication
  - -gen-spirv-enum-avail-decls
  - -gen-spirv-enum-avail-defs
  - -gen-spirv-op-utils
  - -gen-spirv-serialization
  - -gen-struct-attr-decls
  - -gen-struct-attr-defs
  - -gen-subtarget
  - -gen-typedef-decls
  - -gen-typedef-defs
  - -gen-x86-EVEX2VEX-tables
  - -gen-x86-fold-tables
  - -gicombiner-show-expansions
  - -gicombiner-stop-after-build
  - -gicombiner-stop-after-parse
  - -gisel-coverage-file=filename
  - -help
  - -help-list
  - -instrument-coverage
  - -instrument-gisel-coverage
  - -intrinsic-prefix=prefix
  - -llvmir-intrinsics-filter
  - -long-string-literals
  - -match-prefix=prefix
  - -name namestring
  - -null-backend
  - -o filename
  - -omit-comments
  - -op-exclude-regex
  - -op-include-regex
  - -optimize-match-table
  - -print-detailed-records
  - -print-enums
  - -print-records
  - -print-sets
  - -register-info-debug
  - -stats
  - -time-phases
  - -typedefs-dialect name
  - -version
  - -warn-on-skipped-patterns
  - -write-if-changed

## U

- U
  - llvm-ar command line option

- u
  - llvm-ar command line option

## V

- V
  - llvm-ar command line option

- v
  - llvm-ar command line option

## X

- x [oP]
  - llvm-ar command line option